=== debian/changelog ===
ktextaddons (1.4.1-0ubuntu2) mantic; urgency=medium

  * Update building:
    - Build depend on dh-sequence-kf5 and dh-sequence-pkgkde-symbolshelper
      instead of pkg-kde-tools
    - d/rules: Drop manually specifying build system addons.
  * Add upstream metadata.
  * Minor debian/copyright improvements.
  * Bump standards version to 4.6.2

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Sep 2023 14:50:08 +0100

ktextaddons (1.4.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (1.4.1)
  * Install qlogging-categories file.

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Aug 2023 06:05:34 +0100

ktextaddons (1.4.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (1.4.0)
  * New shared library in this release:
    - Add libkf5textutils1 package.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Aug 2023 20:51:08 +0100

ktextaddons (1.3.2-0ubuntu2) mantic; urgency=medium

  * Add ${shlibs:Depends} to libkf5textaddons-dev, fixes lintian warning
    missing-dependency-on-libc
  * Make lib*.install files less strict
  * Remove unneeded dirs files:
    - debian/ktextaddons-dev.dirs
    - debian/ktextaddons1.dirs
  * Add lintian overrides for libkf5texttranslator1, it's symbols files
    declares a dependency on libkf5texttranslator-plugins, but that's
    intentional
  * Replace strings for licenses in debian/copyright:
    - LGPL-2.0-or-later -> LGPL-2+
    - GPL-2.0-or-later -> GPL-2+

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:21:12 +0100

ktextaddons (1.3.2-0ubuntu1) mantic; urgency=medium

  * Initial release for Ubuntu (LP: #2021510)
  * This package is needed by libkf5pimcommon >= 23.04.x

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 03 Jun 2023 07:01:21 +0100
