=== debian/control ===
Source: ktextaddons
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules,
               libkf5archive-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5xmlgui-dev,
               libqt5texttospeech5-dev,
               qtbase5-dev,
               qtkeychain-qt5-dev,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/libraries/ktextaddons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktextaddons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktextaddons
Rules-Requires-Root: no

Package: libkf5textaddons-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5textaddonswidgets1 (= ${binary:Version}),
         libkf5textautocorrectioncore1 (= ${binary:Version}),
         libkf5textautocorrectionwidgets1 (= ${binary:Version}),
         libkf5textedittexttospeech1 (= ${binary:Version}),
         libkf5textemoticonscore1 (= ${binary:Version}),
         libkf5textemoticonswidgets1 (= ${binary:Version}),
         libkf5textgrammarcheck1 (= ${binary:Version}),
         libkf5texttranslator-plugins (= ${binary:Version}),
         libkf5texttranslator1 (= ${binary:Version}),
         libkf5textutils1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: KDE text handling addons - development files
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the development files needed to build software using
 KTextAddons.

Package: libkf5textaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE text handling addons - data files
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the data files needed by KTextAddons.

Package: libkf5textaddonswidgets1
Architecture: any
Multi-Arch: same
Depends: libkf5textaddons-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: KDE text handling addons - widgets library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text addons widgets library.

Package: libkf5textautocorrectioncore1
Architecture: any
Multi-Arch: same
Depends: libkf5textaddons-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: KDE text handling addons - correction core library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text autocorrection core library.

Package: libkf5textautocorrectionwidgets1
Architecture: any
Multi-Arch: same
Depends: libkf5textaddons-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: KDE text handling addons - correction widget library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text autocorrection widget library.

Package: libkf5textedittexttospeech1
Architecture: any
Multi-Arch: same
Depends: libkf5textaddons-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: KDE text handling addons - text edit text-to-speech library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text-to-speech library.

Package: libkf5textemoticonscore1
Architecture: any
Multi-Arch: same
Depends: libkf5textaddons-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: KDE text handling addons - text emoticons library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text emoticons library.

Package: libkf5textemoticonswidgets1
Architecture: any
Multi-Arch: same
Depends: libkf5textaddons-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: KDE text handling addons - text emoticons widgets library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the emoticons widget library.

Package: libkf5textgrammarcheck1
Architecture: any
Multi-Arch: same
Depends: libkf5textaddons-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: KDE text handling addons - text grammar check library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text grammar check library.

Package: libkf5texttranslator-plugins
Architecture: any
Multi-Arch: same
Depends: libkf5textaddons-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: KDE text handling addons - text translator plugins
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text translator plugins.

Package: libkf5texttranslator1
Architecture: any
Multi-Arch: same
Depends: libkf5textaddons-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: KDE text handling addons - text translator library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text translator library.

Package: libkf5textutils1
Architecture: any
Multi-Arch: same
Depends: libkf5textaddons-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: KDE text handling addons - text utils library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text utils library.
